Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.soap.server
Class SOAPFaultRouter

    java.lang.Object
      |
      +--org.apache.soap.server.SOAPFaultRouter

public class SOAPFaultRouter
extends java.lang.Object

Acts as an SOAPFaultEvent producer.

Constructor Summary
`SOAPFaultRouter()`

Method Summary
`SOAPFaultListener[]` | `getFaultListener()` Get all listeners
`SOAPFaultListener` | `getFaultListener(int index)` Get a listener
`void` | `notifyListeners(Fault _fault, SOAPException _soapException)` Notifies registered listeners of the fault
`void` | `setFaultListener(int index, SOAPFaultListener _faultListener)` Changes a listener
`void` | `setFaultListener(SOAPFaultListener[] _faultListener)` Registers N listeners

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOAPFaultRouter

    public SOAPFaultRouter()

Method Detail

### setFaultListener

    public void setFaultListener(SOAPFaultListener[] _faultListener)

  Registers N listeners

### setFaultListener

    public void setFaultListener(int index,
    SOAPFaultListener _faultListener)

  Changes a listener

### getFaultListener

    public SOAPFaultListener[] getFaultListener()

  Get all listeners

### getFaultListener

    public SOAPFaultListener getFaultListener(int index)

  Get a listener

### notifyListeners

    public void notifyListeners(Fault _fault,
    SOAPException _soapException)

  Notifies registered listeners of the fault

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® Application Server XML Java API Reference 10g Release 2 (10.1.2) Part no. B12024-03 September 2004
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 The Apache Software Foundation. All rights reserved.